<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsVersion Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_version-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsVersion Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class to store version information.  
 <a href="struct_xs_version.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1de8c39ac50137fb4eb95f27856b082a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1de8c39ac50137fb4eb95f27856b082a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a1de8c39ac50137fb4eb95f27856b082a">XsVersion</a> (int maj, int min, int rev, int <a class="el" href="struct_xs_version.html#a7878825a781d030aedce15ec32ab4dd9">build</a>, const <a class="el" href="struct_xs_string.html">XsString</a> &amp;<a class="el" href="struct_xs_version.html#ab453941c3291b14614411956c003da81">extra</a>)</td></tr>
<tr class="memdesc:a1de8c39ac50137fb4eb95f27856b082a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a version object using the supplied parameters or an empty version object if no parameters are given. <br /></td></tr>
<tr class="separator:a1de8c39ac50137fb4eb95f27856b082a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c34d48f1260c27712ca9a397c0b138"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59c34d48f1260c27712ca9a397c0b138"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a59c34d48f1260c27712ca9a397c0b138">XsVersion</a> (int maj=0, int min=0, int rev=0, int <a class="el" href="struct_xs_version.html#a7878825a781d030aedce15ec32ab4dd9">build</a>=0, int <a class="el" href="struct_xs_version.html#a8dc6f5f3535fdc582d44e8f84eee0acf">reposVersion</a>=0, const <a class="el" href="struct_xs_string.html">XsString</a> &amp;<a class="el" href="struct_xs_version.html#ab453941c3291b14614411956c003da81">extra</a>=<a class="el" href="struct_xs_string.html">XsString</a>())</td></tr>
<tr class="memdesc:a59c34d48f1260c27712ca9a397c0b138"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a version object using the supplied parameters or an empty version object if no parameters are given. <br /></td></tr>
<tr class="separator:a59c34d48f1260c27712ca9a397c0b138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580f681924b7aa9e6b318c96aee40158"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a580f681924b7aa9e6b318c96aee40158"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a580f681924b7aa9e6b318c96aee40158">XsVersion</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;vString)</td></tr>
<tr class="memdesc:a580f681924b7aa9e6b318c96aee40158"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a version object based upon the version contained by <em>vString</em>. <br /></td></tr>
<tr class="separator:a580f681924b7aa9e6b318c96aee40158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7b07b6b4eecc1787e1fccfdfedbe4ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7b07b6b4eecc1787e1fccfdfedbe4ea"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#ad7b07b6b4eecc1787e1fccfdfedbe4ea">XsVersion</a> (const <a class="el" href="struct_xs_simple_version.html">XsSimpleVersion</a> &amp;simpleVersion)</td></tr>
<tr class="memdesc:ad7b07b6b4eecc1787e1fccfdfedbe4ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a version object based upon the version contained by <em>simpleVersion</em>. <br /></td></tr>
<tr class="separator:ad7b07b6b4eecc1787e1fccfdfedbe4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6aa7bdc8879f48971fd33e9421d7ac9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6aa7bdc8879f48971fd33e9421d7ac9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#aa6aa7bdc8879f48971fd33e9421d7ac9">XsVersion</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other)</td></tr>
<tr class="memdesc:aa6aa7bdc8879f48971fd33e9421d7ac9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a version object based upon the <em>other</em> object. <br /></td></tr>
<tr class="separator:aa6aa7bdc8879f48971fd33e9421d7ac9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4980eb32b6aa6452b95c6d428738d174"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4980eb32b6aa6452b95c6d428738d174"></a>
<a class="el" href="struct_xs_version.html">XsVersion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a4980eb32b6aa6452b95c6d428738d174">operator=</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other)</td></tr>
<tr class="memdesc:a4980eb32b6aa6452b95c6d428738d174"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign the version from the <em>other</em> object. <br /></td></tr>
<tr class="separator:a4980eb32b6aa6452b95c6d428738d174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a136ccc83dcb69396d5ec871c323a5ed7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a136ccc83dcb69396d5ec871c323a5ed7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a136ccc83dcb69396d5ec871c323a5ed7">isEqual</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:a136ccc83dcb69396d5ec871c323a5ed7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is equal to this. The comparison involves the entire object. <br /></td></tr>
<tr class="separator:a136ccc83dcb69396d5ec871c323a5ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc875071065fc8709acfa0fd033aa5fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc875071065fc8709acfa0fd033aa5fa"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#abc875071065fc8709acfa0fd033aa5fa">operator==</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:abc875071065fc8709acfa0fd033aa5fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is equal to this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:abc875071065fc8709acfa0fd033aa5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad913278c62c2f55caea94993af307806"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad913278c62c2f55caea94993af307806"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#ad913278c62c2f55caea94993af307806">operator!=</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:ad913278c62c2f55caea94993af307806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is NOT equal to this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:ad913278c62c2f55caea94993af307806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a986027b4b40fce2dec15b503c00e3037"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a986027b4b40fce2dec15b503c00e3037"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a986027b4b40fce2dec15b503c00e3037">operator&lt;</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:a986027b4b40fce2dec15b503c00e3037"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is lower than this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:a986027b4b40fce2dec15b503c00e3037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbbf9e3069fecdd70600d2c3a0ad0c2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbbf9e3069fecdd70600d2c3a0ad0c2a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#afbbf9e3069fecdd70600d2c3a0ad0c2a">operator&lt;=</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:afbbf9e3069fecdd70600d2c3a0ad0c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is lower or equal than this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:afbbf9e3069fecdd70600d2c3a0ad0c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a849822f48864dd384137451af4508f01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a849822f48864dd384137451af4508f01"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a849822f48864dd384137451af4508f01">operator&gt;</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:a849822f48864dd384137451af4508f01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is higher than this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:a849822f48864dd384137451af4508f01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6de5f74d412ac70c31bc9b629552f4d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6de5f74d412ac70c31bc9b629552f4d2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a6de5f74d412ac70c31bc9b629552f4d2">operator&gt;=</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> &amp;other) const </td></tr>
<tr class="memdesc:a6de5f74d412ac70c31bc9b629552f4d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the <em>other</em> version is higher or equal than this. The comparison involves only the version numbers (major, minor and revision). <br /></td></tr>
<tr class="separator:a6de5f74d412ac70c31bc9b629552f4d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a400e0cd54fcdb6482e5a3e027838ea2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a400e0cd54fcdb6482e5a3e027838ea2a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a400e0cd54fcdb6482e5a3e027838ea2a">empty</a> () const </td></tr>
<tr class="memdesc:a400e0cd54fcdb6482e5a3e027838ea2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this is a null-version. <br /></td></tr>
<tr class="separator:a400e0cd54fcdb6482e5a3e027838ea2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac56fdcc6f8c93b668b332c47af4f9937"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac56fdcc6f8c93b668b332c47af4f9937"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#ac56fdcc6f8c93b668b332c47af4f9937">toString</a> () const </td></tr>
<tr class="memdesc:ac56fdcc6f8c93b668b332c47af4f9937"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string with the version expressed in a readable format. <br /></td></tr>
<tr class="separator:ac56fdcc6f8c93b668b332c47af4f9937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e1e6406fbdd91a4b9b8e2439ffa92f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04e1e6406fbdd91a4b9b8e2439ffa92f"></a>
<a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a04e1e6406fbdd91a4b9b8e2439ffa92f">toSimpleString</a> () const </td></tr>
<tr class="memdesc:a04e1e6406fbdd91a4b9b8e2439ffa92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string with the version expressed in a readable format. <br /></td></tr>
<tr class="separator:a04e1e6406fbdd91a4b9b8e2439ffa92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59714bcca00d9d4860e2655b2b13f1a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59714bcca00d9d4860e2655b2b13f1a5"></a>
<a class="el" href="struct_xs_simple_version.html">XsSimpleVersion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a59714bcca00d9d4860e2655b2b13f1a5">toSimpleVersion</a> () const </td></tr>
<tr class="memdesc:a59714bcca00d9d4860e2655b2b13f1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a <a class="el" href="struct_xs_simple_version.html" title="A class to store version information. ">XsSimpleVersion</a> (<em>version</em>) from a <a class="el" href="struct_xs_version.html" title="A class to store version information. ">XsVersion</a>. <br /></td></tr>
<tr class="separator:a59714bcca00d9d4860e2655b2b13f1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acad9210e854fc43017720ea918f85477"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acad9210e854fc43017720ea918f85477"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#acad9210e854fc43017720ea918f85477">major</a> () const </td></tr>
<tr class="memdesc:acad9210e854fc43017720ea918f85477"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>major</em> part of the version. <br /></td></tr>
<tr class="separator:acad9210e854fc43017720ea918f85477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b96a0d00d9a224753d62f3506f95662"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b96a0d00d9a224753d62f3506f95662"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a8b96a0d00d9a224753d62f3506f95662">minor</a> () const </td></tr>
<tr class="memdesc:a8b96a0d00d9a224753d62f3506f95662"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>minor</em> part of the version. <br /></td></tr>
<tr class="separator:a8b96a0d00d9a224753d62f3506f95662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71929b1079441d3c06f64bb3970d16e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad71929b1079441d3c06f64bb3970d16e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#ad71929b1079441d3c06f64bb3970d16e">revision</a> () const </td></tr>
<tr class="memdesc:ad71929b1079441d3c06f64bb3970d16e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>revision</em> part of the version. <br /></td></tr>
<tr class="separator:ad71929b1079441d3c06f64bb3970d16e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7878825a781d030aedce15ec32ab4dd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7878825a781d030aedce15ec32ab4dd9"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a7878825a781d030aedce15ec32ab4dd9">build</a> () const </td></tr>
<tr class="memdesc:a7878825a781d030aedce15ec32ab4dd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>build</em> number used for this build. <br /></td></tr>
<tr class="separator:a7878825a781d030aedce15ec32ab4dd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dc6f5f3535fdc582d44e8f84eee0acf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8dc6f5f3535fdc582d44e8f84eee0acf"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a8dc6f5f3535fdc582d44e8f84eee0acf">reposVersion</a> () const </td></tr>
<tr class="memdesc:a8dc6f5f3535fdc582d44e8f84eee0acf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>source</em> revision used for this build. <br /></td></tr>
<tr class="separator:a8dc6f5f3535fdc582d44e8f84eee0acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab453941c3291b14614411956c003da81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab453941c3291b14614411956c003da81"></a>
const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#ab453941c3291b14614411956c003da81">extra</a> () const </td></tr>
<tr class="memdesc:ab453941c3291b14614411956c003da81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the extra part of the version. This may contain custom version details such as 'beta' or 'Mk4' to indicate the readiness and purpose of this version of the object. <br /></td></tr>
<tr class="separator:ab453941c3291b14614411956c003da81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4acfb267dcd90922f5c68d9679154c8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4acfb267dcd90922f5c68d9679154c8a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a4acfb267dcd90922f5c68d9679154c8a">setMajor</a> (int <a class="el" href="struct_xs_version.html#acad9210e854fc43017720ea918f85477">major</a>)</td></tr>
<tr class="memdesc:a4acfb267dcd90922f5c68d9679154c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>major</em> part of the version. <br /></td></tr>
<tr class="separator:a4acfb267dcd90922f5c68d9679154c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec0f817458c1880eda132c10d7ef60c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec0f817458c1880eda132c10d7ef60c3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#aec0f817458c1880eda132c10d7ef60c3">setMinor</a> (int <a class="el" href="struct_xs_version.html#a8b96a0d00d9a224753d62f3506f95662">minor</a>)</td></tr>
<tr class="memdesc:aec0f817458c1880eda132c10d7ef60c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>minor</em> part of the version. <br /></td></tr>
<tr class="separator:aec0f817458c1880eda132c10d7ef60c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a752f47212eaee2e96dee722e853b4878"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a752f47212eaee2e96dee722e853b4878"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a752f47212eaee2e96dee722e853b4878">setRevision</a> (int <a class="el" href="struct_xs_version.html#ad71929b1079441d3c06f64bb3970d16e">revision</a>)</td></tr>
<tr class="memdesc:a752f47212eaee2e96dee722e853b4878"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>revision</em> part of the version. <br /></td></tr>
<tr class="separator:a752f47212eaee2e96dee722e853b4878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ece9c583b01efc254fafb0c591141f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ece9c583b01efc254fafb0c591141f9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a6ece9c583b01efc254fafb0c591141f9">setBuild</a> (int <a class="el" href="struct_xs_version.html#a7878825a781d030aedce15ec32ab4dd9">build</a>)</td></tr>
<tr class="memdesc:a6ece9c583b01efc254fafb0c591141f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>build</em> part of the version. <br /></td></tr>
<tr class="separator:a6ece9c583b01efc254fafb0c591141f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b9a43e0d5267da70af5591f7f19383e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b9a43e0d5267da70af5591f7f19383e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a1b9a43e0d5267da70af5591f7f19383e">setReposVersion</a> (int <a class="el" href="struct_xs_version.html#a8dc6f5f3535fdc582d44e8f84eee0acf">reposVersion</a>)</td></tr>
<tr class="memdesc:a1b9a43e0d5267da70af5591f7f19383e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>reposVersion</em> part of the version. <br /></td></tr>
<tr class="separator:a1b9a43e0d5267da70af5591f7f19383e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34feeb067578e210e0acc29fcf0b2bde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34feeb067578e210e0acc29fcf0b2bde"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_version.html#a34feeb067578e210e0acc29fcf0b2bde">setExtra</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;<a class="el" href="struct_xs_version.html#ab453941c3291b14614411956c003da81">extra</a>)</td></tr>
<tr class="memdesc:a34feeb067578e210e0acc29fcf0b2bde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <em>extra</em> part of the version. This may contain custom version details such as 'beta' or 'Mk4' to indicate the readiness and purpose of this version of the object. <br /></td></tr>
<tr class="separator:a34feeb067578e210e0acc29fcf0b2bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga78d30e420e615cf22083a28da03d0e10"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga78d30e420e615cf22083a28da03d0e10">XsVersion_empty</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> *)</td></tr>
<tr class="memdesc:ga78d30e420e615cf22083a28da03d0e10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this is a null-version. <br /></td></tr>
<tr class="separator:ga78d30e420e615cf22083a28da03d0e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6b32669f83122d1211b3b0c31612ed9"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gae6b32669f83122d1211b3b0c31612ed9">XsVersion_toString</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> *, <a class="el" href="struct_xs_string.html">XsString</a> *version)</td></tr>
<tr class="memdesc:gae6b32669f83122d1211b3b0c31612ed9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string with the version expressed in a readable format. <br /></td></tr>
<tr class="separator:gae6b32669f83122d1211b3b0c31612ed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c2e097b6881d2343b3719213d822db2"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6c2e097b6881d2343b3719213d822db2">XsVersion_toSimpleString</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> *, <a class="el" href="struct_xs_string.html">XsString</a> *version)</td></tr>
<tr class="memdesc:ga6c2e097b6881d2343b3719213d822db2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string with the version expressed in a readable format. <br /></td></tr>
<tr class="separator:ga6c2e097b6881d2343b3719213d822db2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga284c5a6434e4ef1dbfad0bafbfe652e8"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga284c5a6434e4ef1dbfad0bafbfe652e8">XsVersion_fromString</a> (<a class="el" href="struct_xs_version.html">XsVersion</a> *, const <a class="el" href="struct_xs_string.html">XsString</a> *version)</td></tr>
<tr class="memdesc:ga284c5a6434e4ef1dbfad0bafbfe652e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the version to the values in the string. <br /></td></tr>
<tr class="separator:ga284c5a6434e4ef1dbfad0bafbfe652e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3322e4a50bf8a96645b709765cc509f"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gac3322e4a50bf8a96645b709765cc509f">XsVersion_fromSimpleVersion</a> (<a class="el" href="struct_xs_version.html">XsVersion</a> *, const <a class="el" href="struct_xs_simple_version.html">XsSimpleVersion</a> *simpleVersion)</td></tr>
<tr class="memdesc:gac3322e4a50bf8a96645b709765cc509f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a <a class="el" href="struct_xs_version.html" title="A class to store version information. ">XsVersion</a> a <a class="el" href="struct_xs_simple_version.html" title="A class to store version information. ">XsSimpleVersion</a>, <em>simpleVersion</em>. <br /></td></tr>
<tr class="separator:gac3322e4a50bf8a96645b709765cc509f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga175904d01bfbf80552f5c888c3d97e04"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga175904d01bfbf80552f5c888c3d97e04">XsVersion_toSimpleVersion</a> (const <a class="el" href="struct_xs_version.html">XsVersion</a> *, <a class="el" href="struct_xs_simple_version.html">XsSimpleVersion</a> *simpleVersion)</td></tr>
<tr class="memdesc:ga175904d01bfbf80552f5c888c3d97e04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a <a class="el" href="struct_xs_simple_version.html" title="A class to store version information. ">XsSimpleVersion</a> (<em>version</em>) from a <a class="el" href="struct_xs_version.html" title="A class to store version information. ">XsVersion</a>. <br /></td></tr>
<tr class="separator:ga175904d01bfbf80552f5c888c3d97e04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class to store version information. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
